.586
.mmx
.k3d
.xmm
.model flat, stdcall
option casemap: none

include ImportFunctions.inc
include Windows.inc

includelib ..\..\..\lib\user32.lib
includelib ..\..\..\lib\kernel32.lib
includelib ..\..\..\lib\gdi32.lib
includelib ..\..\..\lib\comctl32.lib

_DATA                   segment para public 'DATA'

include DataSegment.inc

_DATA                   ends

_TEXT                   segment para public 'CODE'

start:
                        mov esi, offset pWndClassEx
                        xor ebx, ebx

                        push IDI_APPLICATION
                        push ebx
                        call LoadIcon
                        mov [esi + WNDCLASSEX.hIcon], eax
                        mov [esi + WNDCLASSEX.hIconSm], eax

                        push IDC_ARROW
                        push ebx
                        call LoadCursor
                        mov [esi + WNDCLASSEX.hCursor], eax

                        push esi
                        call RegisterClassEx

                        mov eax, [esi + WNDCLASSEX.lpszClassName]
                        push ebx
                        push ebx
                        push ebx
                        push ebx
                        push ebx
                        push ebx
                        push ebx
                        push ebx
                        push WS_POPUP + WS_VISIBLE + WS_DLGFRAME
                        push eax
                        push eax
                        push ebx
                        call CreateWindowEx
                        mov [hWndMain], eax

                        push eax
                        call UpdateWindow

                        mov esi, offset pMsg
ll_MsgLoopBegin:
                        push ebx
                        push ebx
                        push ebx
                        push esi
                        call GetMessage

                        cmp eax, ebx
                        jz ll_MsgLoopEnd

                        push esi
                        call TranslateMessage

                        push esi
                        call DispatchMessage

                        jmp ll_MsgLoopBegin
ll_MsgLoopEnd:
                        push [esi + MSG.wParam]
                        call ExitProcess

WndMainProc             proc hWnd: dword, uMessage: dword, wParam: dword, lParam: dword

                        mov eax, [uMessage]
                        mov ebx, [hWnd]

;                        cmp eax, WM_COMMAND
;                        jz ll_WMCommand
                        cmp eax, WM_CREATE
                        jz ll_WMCreate
                        cmp eax, WM_DESTROY
                        jz ll_WMDestroy
                        cmp eax, WM_LBUTTONDOWN
                        jz ll_WMLButtonDown
                        cmp eax, WM_PAINT
                        jz ll_WMPaint
                        cmp eax, WM_RBUTTONUP
                        jz ll_WMRButtonUp

                        push [lParam]
                        push [wParam]
                        push eax
                        push ebx
                        call DefWindowProc

                        jmp ll_ExitWndMainProcA
;ll_WMCommand:

;include ll_WMCommand.asm

ll_WMCreate:

include ll_WMCreate.asm

ll_WMDestroy:
                        push 0
                        call PostQuitMessage

                        jmp ll_ExitWndMainProc
ll_WMLButtonDown:
                        push 0
                        push HTCAPTION
                        push WM_NCLBUTTONDOWN
                        push ebx
                        call SendMessage

                        jmp ll_ExitWndMainProc
ll_WMPaint:
                        mov esi, offset pPaintStruct

                        push esi
                        push ebx
                        call BeginPaint

                        push esi
                        push ebx
                        call EndPaint

                        jmp ll_ExitWndMainProc
ll_WMRButtonUp:
                        push 0
                        push 0
                        push WM_DESTROY
                        push ebx
                        call SendMessage

                        jmp ll_ExitWndMainProc
ll_ExitWndMainProc:
                        xor eax, eax
ll_ExitWndMainProcA:
                        ret

WndMainProc             endp

end     start

_TEXT                   ends
