; Assembler mnemonic definition

st0                             equ st (0)
st1                             equ st (1)
st2                             equ st (2)
st3                             equ st (3)
st4                             equ st (4)
st5                             equ st (5)
st6                             equ st (6)
st7                             equ st (7)

; Constants and structures defition

BS_AUTOCHECKBOX                 equ 3

CBS_DROPDOWNLIST                equ 3

CCS_ADJUSTABLE                  equ 20h
CCS_BOTTOM                      equ 3
CCS_NODIVIDER                   equ 40h
CCS_NOPARENTALIGN               equ 8

COLOR_BTNFACE                   equ 15

CREATE_ALWAYS                   equ 2

CS_DBLCLKS                      equ 8
CS_DROPSHADOW                   equ 20000h
CS_HREDRAW                      equ 2
CS_VREDRAW                      equ 1

DEFAULT_GUI_FONT                equ 17

FALSE                           equ 0

FILE_ATTRIBUTE_DIRECTORY        equ 10h
FILE_ATTRIBUTE_NORMAL           equ 80h

FILE_BEGIN                      equ 0
FILE_CURRENT                    equ 1
FILE_END                        equ 2

FILE_FLAG_RANDOM_ACCESS         equ 10000000h
FILE_FLAG_SEQUENTIAL_SCAN       equ 8000000h
FILE_FLAG_WRITE_THROUGH         equ 80000000h

FILE_SHARE_READ                 equ 1
FILE_SHARE_WRITE                equ 2

GCL_STYLE                       equ -26

GENERIC_READ                    equ 80000000h
GENERIC_WRITE                   equ 40000000h

HTCAPTION                       equ 2
                                
I_IMAGENONE                     equ -2
                                
ICC_ANIMATE_CLASS               equ 80h
ICC_BAR_CLASSES                 equ 4
ICC_COOL_CLASSES                equ 400h
ICC_DATE_CLASSES                equ 100h
ICC_HOTKEY_CLASS                equ 40h
ICC_INTERNET_CLASSES            equ 800h
ICC_LINK_CLASS                  equ 8000h
ICC_LISTVIEW_CLASSES            equ 1
ICC_NATIVEFNTCTL_CLASS          equ 2000h
ICC_PAGESCROLLER_CLASS          equ 1000h
ICC_PROGRESS_CLASS              equ 20h
ICC_STANDARD_CLASSES            equ 4000h
ICC_TAB_CLASSES                 equ 8
ICC_TREEVIEW_CLASSES            equ 2
ICC_UPDOWN_CLASS                equ 10h
ICC_USEREX_CLASSES              equ 200h
ICC_WIN95_CLASSES               equ 0ffh
                                
IDC_ARROW                       equ 32512
                                
IDI_APPLICATION                 equ 32512

INVALID_HANDLE_VALUE            equ -1
                                
LMEM_FIXED                      equ 0
LMEM_ZEROINIT                   equ 40h
                                
LPTR                            equ LMEM_FIXED + LMEM_ZEROINIT

LVCF_FMT                        equ 1
LVCF_SUBITEM                    equ 8
LVCF_TEXT                       equ 4
LVCF_WIDTH                      equ 2

LVCFMT_CENTER                   equ 2
LVCFMT_LEFT                     equ 0
LVCFMT_RIGHT                    equ 1

LVIF_IMAGE                      equ 2
LVIF_TEXT                       equ 1

LVM_FIRST                       equ 1000h
LVM_INSERTCOLUMNA               equ LVM_FIRST + 27
LVM_INSERTITEMA                 equ LVM_FIRST + 7
LVM_SETEXTENDEDLISTVIEWSTYLE    equ LVM_FIRST + 54
LVM_SETITEMTEXTA                equ LVM_FIRST + 46

LVS_EX_BORDERSELECT             equ 8000h
LVS_EX_DOUBLEBUFFER             equ 10000h
LVS_EX_FULLROWSELECT            equ 20h
LVS_EX_HEADERDRAGDROP           equ 10h
LVS_EX_INFOTIP                  equ 400h
LVS_EX_LABELTIP                 equ 4000h
LVS_EX_TRACKSELECT              equ 8
LVS_EX_UNDERLINEHOT             equ 800h

LVS_REPORT                      equ 1
LVS_SHOWSELALWAYS               equ 8
                                
MAX_PATH                        equ 260
                                
MB_OK                           equ 0
                                
OPEN_EXISTING                   equ 3

RB_INSERTBANDA                  equ WM_USER + 1
RB_SETBARINFO                   equ WM_USER + 4
RB_SHOWBAND                     equ WM_USER + 35
                                
RBBIM_BACKGROUND                equ 80h
RBBIM_CHILD                     equ 10h
RBBIM_CHILDSIZE                 equ 20h
RBBIM_COLORS                    equ 2
RBBIM_HEADERSIZE                equ 800h
RBBIM_ID                        equ 100h
RBBIM_IDEALSIZE                 equ 200h
RBBIM_IMAGE                     equ 8
RBBIM_LPARAM                    equ 400h
RBBIM_SIZE                      equ 40h
RBBIM_STYLE                     equ 1
RBBIM_TEXT                      equ 4
                                
RBBS_CHILDEDGE                  equ 4
RBBS_FIXEDBMP                   equ 20h
RBBS_GRIPPERALWAYS              equ 80h
RBBS_USECHEVRON                 equ 200h
                                
RBS_BANDBORDERS                 equ 400h
RBS_DBLCLKTOGGLE                equ 8000h
RBS_REGISTERDROP                equ 1000h
RBS_VARHEIGHT                   equ 200h
RBS_VERTICALGRIPPER             equ 4000h
                                
SM_CXSCREEN                     equ 0
SM_CYSCREEN                     equ 1
                                
TB_ADDBITMAP                    equ WM_USER + 19
TB_ADDBUTTONS                   equ WM_USER + 20
TB_ADDSTRINGA                   equ WM_USER + 28
TB_AUTOSIZE                     equ WM_USER + 33
TB_BUTTONSTRUCTSIZE             equ WM_USER + 30

TBSTATE_ELLIPSES                equ 40h
TBSTATE_ENABLED                 equ 4
TBSTATE_PRESSED                 equ 2
                                
TBSTYLE_BUTTON                  equ 0
TBSTYLE_DROPDOWN                equ 8
TBSTYLE_FLAT                    equ 800h
TBSTYLE_LIST                    equ 1000h
TBSTYLE_SEP                     equ 1
TBSTYLE_TRANSPARENT             equ 8000h
                                
TBSTYLE_EX_DRAWDDARROWS         equ 1
TBSTYLE_EX_MIXEDBUTTONS         equ 8
                                
TRUE                            equ 1
                                
WM_COMMAND                      equ 111h
WM_CREATE                       equ 1
WM_DESTROY                      equ 2
WM_LBUTTONDOWN                  equ 513
WM_NCLBUTTONDOWN                equ 161
WM_PAINT                        equ 15
WM_RBUTTONUP                    equ 517
WM_SETFONT                      equ 30h
WM_SIZE                         equ 5
WM_USER                         equ 400h
                                
WS_BORDER                       equ 800000h
WS_CAPTION                      equ WS_BORDER + WS_DLGFRAME
WS_CHILD                        equ 40000000h
WS_CLIPCHILDREN                 equ 2000000h
WS_CLIPSIBLINGS                 equ 4000000h
WS_DLGFRAME                     equ 400000h
WS_MAXIMIZEBOX                  equ 10000h
WS_MINIMIZEBOX                  equ 20000h
WS_OVERLAPPED                   equ 0
WS_OVERLAPPEDWINDOW             equ WS_OVERLAPPED + WS_CAPTION + WS_SYSMENU + WS_THICKFRAME + WS_MINIMIZEBOX + WS_MAXIMIZEBOX
WS_POPUP                        equ 80000000h
WS_SYSMENU                      equ 80000h
WS_THICKFRAME                   equ 40000h
WS_VISIBLE                      equ 10000000h

WS_EX_CLIENTEDGE                equ 200h
WS_EX_LAYERED                   equ 80000h
WS_EX_TOOLWINDOW                equ 80h
WS_EX_TRANSPARENT               equ 20h


FILETIME                        struct
        dwLowDateTime           dd ?
        dwHighDateTime          dd ?
FILETIME                        ends

INITCOMMONCONTROLSEX            struct
        dwSize                  dd ?
        dwICC                   dd ?
INITCOMMONCONTROLSEX            ends

LVCOLUMNA                       struct
        _mask                   dd ?
        fmt                     dd ?
        _cx                     dd ?
        pszText                 dd ?
        cchTextMax              dd ?
        iSubItem                dd ?
        iImage                  dd ?
        iOrder                  dd ?
LVCOLUMNA                       ends

LVITEMA                         struct
        _mask                   dd ?
        iItem                   dd ?
        iSubItem                dd ?
        state                   dd ?
        stateMask               dd ?
        pszText                 dd ?
        cchTextMax              dd ?
        iImage                  dd ?
        lParam                  dd ?
        iIndent                 dd ?
        iGroupId                dd ?
        cColumns                dd ?
        puColumns               dd ?
LVITEMA                         ends

POINT                           struct
        x                       dd ?
        y                       dd ?
POINT                           ends

MSG                             struct
        hwnd                    dd ?
        message                 dd ?
        wParam                  dd ?
        lParam                  dd ?
        time                    dd ?
        pt                      POINT <>
MSG                             ends

RECT                            struct
        left                    dd ?
        top                     dd ?
        right                   dd ?
        bottom                  dd ?
RECT                            ends
                               
PAINTSTRUCT                     struct
        hdc                     dd ?
        fErase                  dd ?
        rcPaint                 RECT <>
        fRestore                dd ?
        fIncUpdate              dd ?
        rgbReserved             db 32 dup (?)
PAINTSTRUCT                     ends

REBARBANDINFOA                  struct
        cbSize                  dd ?
        fMask                   dd ?
        fStyle                  dd ?
        clrFore                 dd ?
        clrBack                 dd ?
        lpText                  dd ?
        cch                     dd ?
        iImage                  dd ?
        hwndChild               dd ?
        cxMinChild              dd ?
        cyMinChild              dd ?
        _cx                     dd ?
        hbmBack                 dd ?
        wID                     dd ?
        cyChild                 dd ?
        cyMaxChild              dd ?
        cyIntegral              dd ?
        cxIdeal                 dd ?
        lParam                  dd ?
        cxHeader                dd ?
REBARBANDINFOA                  ends

REBARINFO                       struct
        cbSize                  dd ?
        fMask                   dd ?
        himl                    dd ?
REBARINFO                       ends

TBADDBITMAP                     struct
        hInst                   dd ?
        nID                     dd ?
TBADDBITMAP                     ends

TBBUTTON                        struct
        iBitmap                 dd ?
        idCommand               dd ?
        fsState                 db ?
        fsStyle                 db ?
        bReserved               db 2 dup (?)
        dwData                  dd ?
        iString                 dd ?
TBBUTTON                        ends

WIN32_FIND_DATAA                struct
        dwFileAttributes        dd ?
        ftCreationTime          FILETIME <>
        ftLastAccessTime        FILETIME <>
        ftLastWriteTime         FILETIME <>
        nFileSizeHigh           dd ?
        nFileSizeLow            dd ?
        dwReserved0             dd ?
        dwReserved1             dd ?
        cFileName               db MAX_PATH dup (?)
        cAlternateFileName      db 14 dup (?)
WIN32_FIND_DATAA                ends

WNDCLASSEX                      struct
        cbSize                  dd ?
        style                   dd ?
        lpfnWndProc             dd ?
        cbClsExtra              dd ?
        cbWndExtra              dd ?
        hInstance               dd ?
        hIcon                   dd ?
        hCursor                 dd ?
        hbrBackground           dd ?
        lpszMenuName            dd ?
        lpszClassName           dd ?
        hIconSm                 dd ?
WNDCLASSEX                      ends

LVCOLUMN                        equ <LVCOLUMNA>
LVITEM                          equ <LVITEMA>
REBARBANDINFO                   equ <REBARBANDINFOA>
WIN32_FIND_DATA                 equ <WIN32_FIND_DATAA>

LVM_INSERTCOLUMN                equ LVM_INSERTCOLUMNA
LVM_INSERTITEM                  equ LVM_INSERTITEMA
LVM_SETITEMTEXT                 equ LVM_SETITEMTEXTA
